# Uses of Interface
com.sun.source.tree.ExpressionStatementTree

Packages that use ExpressionStatementTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ExpressionStatementTree in com.sun.source.tree

Methods in com.sun.source.tree that return types with arguments of type ExpressionStatementTree
Modifier and Type
Method
Description
`List<? extends ExpressionStatementTree>`
ForLoopTree.`getUpdate()`
Returns any update expressions of the `for` statement.
Methods in com.sun.source.tree with parameters of type ExpressionStatementTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitExpressionStatement(ExpressionStatementTree node, P p)`
Visits an ExpressionStatementTree node.

## Uses of ExpressionStatementTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ExpressionStatementTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitExpressionStatement(ExpressionStatementTree node, P p)`
Visits an ExpressionStatementTree node.
`R`
TreeScanner.`visitExpressionStatement(ExpressionStatementTree node, P p)`
Visits an ExpressionStatementTree node.